### Function

# Dex resolver_lookup_service

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_resolver_lookup_service (
      GResolver* resolver,
      const char* service,
      const char* protocol,
      const char* domain
    )

#### Description [src]

Wraps `g_resolver_lookup_service_async()`.

Available since: 1.2

#### Parameters

`resolver`

  Type: `GResolver`

  A `GResolver`.

  The data is owned by the caller of the function.

`service`

  Type: `const char*`

  Service name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`protocol`

  Type: `const char*`

  Protocol name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`domain`

  Type: `const char*`

  Domain name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GList` of `GSrvTarget` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.